.grid-container{
    display: grid;
    grid-template-columns: 300px 1fr;
    grid-template-rows: 150px calc(100vh - 150px);
}
.nav{
    background-color: blue;
    grid-column-start: 1;
    grid-column-end: 2;
    grid-row-start: 1;
    grid-row-end: 3;
}
.header{
    background-color: burlywood;
}
.main{
    background-color: cadetblue;
}
